import request from '@/utils/request'

// 查询国际关键零部件清单详情列表
export function listDetail(query) {
  return request({
    url: '/control/baseInternationalKeyComponentsDetail/list',
    method: 'get',
    params: query
  })
}

// 查询国际关键零部件清单详情详细
export function getDetail(id) {
  return request({
    url: '/control/baseInternationalKeyComponentsDetail/' + id,
    method: 'get'
  })
}

// 新增国际关键零部件清单详情
export function addDetail(data) {
  return request({
    url: '/control/baseInternationalKeyComponentsDetail',
    method: 'post',
    data: data
  })
}

// 修改国际关键零部件清单详情
export function updateDetail(data) {
  return request({
    url: '/control/baseInternationalKeyComponentsDetail',
    method: 'put',
    data: data
  })
}

// 删除国际关键零部件清单详情
export function delDetail(componentsListId) {
  return request({
    url: '/control/baseInternationalKeyComponentsDetail/' + componentsListId,
    method: 'delete'
  })
}
